function YorumPopUp( URL, WINDOW, W, H, L, T ) {
	var WIN = window.open(URL, WINDOW, "toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=" + W + ",height=" + H + ",left="+L+",top="+T);
	WIN.focus();
}

function CheckForm ( thisForm ) {
	TrimAll( thisForm );
	ClearAll( thisForm );
	ErrorExists = false;
	if ( thisForm.ad.value == "" ) {
		ErrorExists = true;
		getObject("hataad").innerHTML = "* Lütfen doldurun!";
	}
	if ( thisForm.soyad.value == "" ) {
		ErrorExists = true;
		getObject("hatasoyad").innerHTML = "* Lütfen doldurun!";
	}
	if ( thisForm.eposta.value == "" ) {
		ErrorExists = true;
		getObject("hataeposta").innerHTML = "* Lütfen doldurun!";
	}
	else if ( !checkEmail( thisForm ) ) {
		ErrorExists = true;
		getObject("hataeposta").innerHTML = "* Hatalı E-Posta!";
	}
	if ( thisForm.yorum.value == "" ) {
		ErrorExists = true;
		getObject("hatayorum").innerHTML = "* Lütfen doldurun!";
	}

	if ( ErrorExists )
		return false;
	else
		return true;
}

function getObject( objName ) {
	var ns4 = ( document.layers ) ? true : false;
	var w3c = ( document.getElementById ) ? true : false;
	var ie4 = ( document.all ) ? true : false;

	if ( ns4 ) return eval( 'document.' + objName );
	if ( w3c ) return document.getElementById( objName );
	if ( ie4 ) return eval( 'document.all.' + objName );
	return false;
}

function trim ( s ) {
	s = s.replace(/^\s*/,'').replace(/\s*$/, '');
	return s;
}

function TrimAll ( form ) {
    for ( var i=0, j = form.elements.length; i < j; i++ ) {
        myType = form.elements[i].type;
        if ( myType == 'text' || myType == 'textarea' ) {
            form.elements[i].value = trim(form.elements[i].value);
		}
    }
}

function ClearInput( thisInput ) {
	getObject( thisInput ).innerHTML = "";
}

function ClearAll ( thisForm ) {
	getObject( "hataad" ).innerHTML = "";
	getObject( "hatasoyad" ).innerHTML = "";
	getObject( "hataeposta" ).innerHTML = "";
	getObject( "hatayorum" ).innerHTML = "";
}

function checkEmail ( thisForm ) {
	if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(thisForm.eposta.value)) {
		return (true)
	}
	return (false)
}

// Get Ctrl key for multiple column sort
function ewsort(e, url) {	
	var ctrlPressed = 0;	
	if (parseInt(navigator.appVersion) > 3) {
		if (navigator.appName == "Netscape") {
			var ua = navigator.userAgent;
    	var isFirefox = (ua != null && ua.indexOf("Firefox/") != -1);
			if ((!isFirefox && getNNVersionNumber() >= 6) || isFirefox)				
				ctrlPressed = e.ctrlKey;
			else
				ctrlPressed = ((e.modifiers+32).toString(2).substring(3,6).charAt(1)=="1");			
		} else {
		 ctrlPressed = event.ctrlKey;
		}
		if (ctrlPressed) {
			setTimeout('SortHaberler( 1, "' + url + '")', 10);
			return false;
		}
		else {
			setTimeout('SortHaberler( 0, "' + url + '")', 10);
			return false;
		}
	}
	return true;
}

function confirmation( mesaj ) {
	if ( mesaj == "" )
		mesaj = "Emin misiniz?";

	var agree = confirm( mesaj );

	if ( agree )
		return true ;
	else
		return false ;
}

function NewWindow(theURL,winName,features) {
  	mywin = window.open(theURL,winName,features + ',top=100 ,left=300'); 
	mywin.focus();
}

function PopUpWindow(winName) {
	var mywin = window.open('',winName,'scrollbars=no,width=440,height=180,top=10,left=300');
	mywin.focus();
}

function textCounter ( field, cntfield, maxlimit ) {
	if ( field.value.length > maxlimit )
		field.value = field.value.substring( 0, maxlimit );
	else
		cntfield.value = maxlimit - field.value.length;
}

function generateCommentsHaberSayfasi(yorum_haber_id, yorumlar_toplam, haber_yorumlar) {
	var url_all = "/yorumlar," + yorum_haber_id + ".html";

	var ht = "";
	ht += "<div class=\"print_hidden\" style=\"border-top:solid 1px #d8d8d8;\">\n";
	
	

	ht += " <div class=\"pad10trl\">\n";
	ht += "  <div class=\"pad10b\">\n";
	if (yorumlar_toplam > 0) {
	    ht += "<div class=\"float_left\" style=\"width:350px;\">Bu haber için yapılan yorumlar: <a href=\"" + url_all + "\" class=\"kalin\">" + yorumlar_toplam + " adet</a><br><a href=\"" + url_all + "\" class=\"kalin\">Tüm yorumları okumak için tıklayınız.</a></div>\n";
	    ht += "<div class=\"float_right\" style=\"width:150px; text-align:right; \"><a href=\"javascript:;\" onclick=\"return popupYorumYap('" + yorum_haber_id + "')\" class=\"mavi_renk kalin\"><img src=\"" + I_URL + "yorum_ikon.gif\" width=\"20\" height=\"21\" alt=\"\">&nbsp;Siz de yorum yapın</a></div>\n";
	} else {
        ht += "<div class=\"float_left\" style=\"width:500px;\"><img src=\"" + I_URL + "yorum_ikon.gif\" width=\"20\" height=\"21\" alt=\"\">&nbsp;<a href=\"javascript:;\" onclick=\"return popupYorumYap('" + yorum_haber_id + "')\" class=\"mavi_renk kalin\">Bu haber için ilk yorumu siz yapın.</a></div>\n";
	}
	ht += "<div class=\"clear_both\"><img src=\"" + I_URL + "sp.gif\" width=\"1\" height=\"1\" alt=\"\"></div>\n";
	ht += "</div>\n";

	for (var i in haber_yorumlar) {		
		var item = haber_yorumlar[i];
		
		ht += "<div class=\"mar10t\" style=\"border:dotted 1px #595959;\">\n";
		ht += " <div class=\"pad10\">\n";
		ht += "  <div style=\"background-color:#F5F4E3; padding:3px;\" class=\"line_height_ie_def\">\n";
		ht += "   <div class=\"float_left mavi_renk kalin\">" + item.name + "</div>\n";
		ht += "   <div class=\"float_right mavi_renk ver11\">" + item.time + "</div>\n";
		ht += "   <div class=\"clear_both\"><img src=\"" + I_URL + "sp.gif\" width=\"1\" height=\"1\" alt=\"\"></div>\n";
		ht += "  </div>\n";
		ht += "  <div class=\"mar10t\">" + item.message + "</div>\n";
		ht += " </div>\n";
		ht += "</div>\n";
	}	  

	if (yorumlar_toplam > 0) {
		ht += "<div class=\"pad10t\"><a href=\"" + url_all + "\" class=\"mavi_renk kalin\">Bu habere yapılan tüm yorumları okumak için tıklayın</a></div>\n";
		ht += "<div class=\"pad10tb\"><b>ÖNEMLİ NOT:</b> Bu sayfalarda yayınlanan okur yorumları okuyucuların kendilerine ait görüşlerdir. Yazılan yorumlardan SABAH veya sabah.com.tr hiçbir şekilde sorumlu tutulamaz.</div>\n";
	}
	ht += " </div>\n";
	ht += "</div>\n"; 
	
	document.write(ht);
}

function generateCommentsVideoSayfasi(yorum_video_id, yorumlar_toplam, video_yorumlar) {
	var url_all = "/video_yorumlar," + yorum_video_id + ".html";
	
	var ht = "";
	ht += "<div class=\"print_hidden\" style=\"border-top:solid 1px #d8d8d8;\">\n";
	ht += " <div class=\"pad10trl\">\n";
	ht += "  <div class=\"pad10b\">\n";
	if (yorumlar_toplam > 0) {
	    ht += "<div class=\"float_left\" style=\"width:350px;\">Bu video için yapılan yorumlar: <a href=\"" + url_all + "\" class=\"kalin\">" + yorumlar_toplam + " adet</a><br><a href=\"" + url_all + "\" class=\"kalin\">Tüm yorumları okumak için tıklayınız.</a></div>\n";
	    ht += "<div class=\"float_right\" style=\"width:150px; text-align:right; \"><a href=\"javascript:;\" onclick=\"return popupVideoYorumYap('" + yorum_video_id + "')\" class=\"mavi_renk kalin\"><img src=\"" + I_URL + "yorum_ikon.gif\" width=\"20\" height=\"21\" alt=\"\">&nbsp;Siz de yorum yapın</a></div>\n";
	} else {
        ht += "<div class=\"float_left\" style=\"width:500px; \"><img src=\"" + I_URL + "yorum_ikon.gif\" width=\"20\" height=\"21\" alt=\"\">&nbsp;<a href=\"javascript:;\" onclick=\"return popupVideoYorumYap('" + yorum_video_id + "')\" class=\"mavi_renk kalin\">Bu video için ilk yorumu siz yapın.</a></div>\n";
	}
	ht += "<div class=\"clear_both\"><img src=\"" + I_URL + "sp.gif\" width=\"1\" height=\"1\" alt=\"\"></div>\n";
	ht += "</div>\n";

	for (var i in video_yorumlar) {		
		var item = video_yorumlar[i];
		
		ht += "<div class=\"mar10t\" style=\"border:dotted 1px #595959;\">\n";
		ht += " <div class=\"pad10\">\n";
		ht += "  <div style=\"background-color:#F5F4E3; padding:3px;\">\n";
		ht += "   <div class=\"float_left mavi_renk kalin\">" + item.name + "</div>\n";
		ht += "   <div class=\"float_right mavi_renk ver11\">" + item.time + "</div>\n";
		ht += "   <div class=\"clear_both\"><img src=\"" + I_URL + "sp.gif\" width=\"1\" height=\"1\" alt=\"\"></div>\n";
		ht += "  </div>\n";
		ht += "  <div class=\"mar10t\">" + item.message + "</div>\n";
		ht += " </div>\n";
		ht += "</div>\n";
	}	  

	if (yorumlar_toplam > 0) {
		ht += "<div class=\"pad10t\"><a href=\"" + url_all + "\" class=\"mavi_renk kalin\">Bu videoya yapılan tüm yorumları okumak için tıklayın</a></div>\n";
		ht += "<div class=\"pad10tb\"><b>ÖNEMLİ NOT:</b> Bu sayfalarda yayınlanan okur yorumları okuyucuların kendilerine ait görüşlerdir. Yazılan yorumlardan SABAH veya sabah.com.tr hiçbir şekilde sorumlu tutulamaz.</div>\n";
	}
	ht += " </div>\n";
	ht += "</div>\n"; 
	
	document.write(ht);
}

function yorumOyla(yorum_id, haber_id, oy) {
	MBGAjaxDIV("/yorum_oyla.php", 'div_yorum_oy_'+yorum_id, 'yorumoyla=true&yorum_id='+yorum_id+'&haber_id='+haber_id+'&oy='+oy);
}

function videoOyla(im, video_id) {	
    MBGAjaxDIV('/video_oyla.html','yildizlar','&video_id='+video_id+'&oy='+im); 
}

function videoBoya(im) {
	var im_root = "oy_yildiz_";
	for(var i = 1; i <= 5; i++ ) {
		var img = (i <= im) ? "yildiz_oy_dolu.gif" : "yildiz_oy_bos.gif";
		document.getElementById(im_root+i).src = I_URL + img;
	}
}

function videoBoyaSil() {
    var im_root = "oy_yildiz_";
    for(var i = 1; i <= 5; i++) 
        document.getElementById(im_root+i).src = I_URL + "yildiz_oy_bos.gif";
}
